%global __requires_exclude perl

Summary:	Fast anti-spam filtering by Bayesian statistical analysis
Name:		bogofilter
Version:	1.2.5
Release:	%mkrel 2
License:	GPLv2+
Group:		Networking/Mail
URL:		http://bogofilter.sourceforge.net
Source0:	http://prdownloads.sourceforge.net/bogofilter/%{name}-%{version}.tar.xz
BuildRequires:	db-devel
BuildRequires:	pkgconfig(gsl)
BuildRequires:	flex
BuildRequires:	openjade

%description
Bogofilter is a Bayesian spam filter. In its normal mode of
operation, it takes an email message or other text on standard
input, does a statistical check against lists of "good" and
"bad" words, and returns a status code indicating whether or not
the message is spam. Bogofilter is designed with fast algorithms
(including Berkeley DB system), coded directly in C, and tuned for
speed, so it can be used for production by sites that process a
lot of mail.

%prep
%setup -q

%build

%configure2_5x \
    --disable-rpath \
    --disable-transactions \
    --with-database=db \
    --disable-dependency-tracking \
    --without-included-gsl

%make_build

%install
%make_install

mv %{buildroot}%{_sysconfdir}/bogofilter.cf.example %{buildroot}%{_sysconfdir}/bogofilter.cf

# trio is embedded and has different AUTHORS, CHANGES, README
mkdir -p %{buildroot}%{_datadir}/doc/%{name}/trio
%__cp trio/CHANGES %{buildroot}%{_datadir}/doc/%{name}/trio/CHANGES
%__cp trio/AUTHORS %{buildroot}%{_datadir}/doc/%{name}/trio/AUTHORS
%__cp trio/README %{buildroot}%{_datadir}/doc/%{name}/trio/README

##include contrib, some may find it useful
for d in contrib ; do
  install -d %{buildroot}%{_datadir}/%{name}/$d
  files=$(find "$d" -maxdepth 1 -type f -print)
  for f in $files ; do
    case $f in
      *.c|*.o|*.obj|*/Makefile*) continue ;;
      *.1)
    cp -p $f %{buildroot}%{_mandir}/man1 ;;
      *)
    cp -p $f %{buildroot}%{_datadir}/%{name}/$d ;;
    esac
  done
done

%files
%doc bogofilter.cf.example
%doc doc/README* doc/bogofilter-SA*
%doc doc/integrating-* doc/*.html doc/*.xml
%doc contrib/README*
%doc %{_datadir}/doc/%{name}/trio
%config(noreplace) %{_sysconfdir}/bogofilter.cf
%{_bindir}/*
%{_datadir}/bogofilter
%{_mandir}/man1/*


%changelog
* Thu Dec 29 2022 pp - 1.2.5-2pclos2023
- rebuild against new gsl

* Mon May 18 2020 tex - 1.2.5-1pclos2020
- 1.2.5
